#
# RecurringEvent/config.py
#

from Products.CMFCore.CMFCorePermissions import setDefaultRoles

PROJECTNAME = "RecurringEvent"
DEFAULT_ADD_CONTENT_PERMISSION = "Add RecurringEvent"
product_globals=globals()

setDefaultRoles(DEFAULT_ADD_CONTENT_PERMISSION, ('Manager', 'Owner',))


from Products.Archetypes.public import DisplayList

RO_DAILY = "daily"
RO_MONTHLY = "monthly"
RO_WEEKLY = "weekly"
RO_YEARLY = "yearly"

RECUE_OFFSETS = DisplayList((
        (RO_DAILY,RO_DAILY),
        (RO_WEEKLY,RO_WEEKLY),
        (RO_MONTHLY,RO_MONTHLY),
        (RO_YEARLY, RO_YEARLY),))

RM_ONE_TIME = "one time"
RM_UNTIL = "until"
RM_FOREVER = "forever"

RECUE_MODES = DisplayList((
        (RM_ONE_TIME, RM_ONE_TIME),
        (RM_UNTIL, RM_UNTIL),
        (RM_FOREVER, RM_FOREVER),))

MONTH_LENGTH = { 
   'leapYear': {1:31, 2:29, 3:31, 4:30, 5:31, 6:30, 7:31, 8:31, 9:30, 10:31, 11:30, 12:31},
   'standardYear': {1:31, 2:28, 3:31, 4:30, 5:31, 6:30, 7:31, 8:31, 9:30, 10:31, 11:30, 12:31}
}

from DateTime import DateTime
FROZEN_DATE_IN_FUTURE = DateTime('2020/12/31 23:59:59')

ATTENDEE_ROLE = 'Attendee'
OWNER_ROLE = 'Owner'

NOTIFY_MSG = """
From: %(from)s
To: %(to)s
Subject: event: %(title)s, starts at %(start)s
%(body)s
"""
    
    
DATE = "%Y%m%dT%H%M%SZ"

PRODID = "-//AT Content Types//AT Event//EN"

# iCal header and footer
ICS_HEADER = """\
BEGIN:VCALENDAR
PRODID:%(prodid)s
VERSION:2.0
METHOD:PUBLISH
"""

ICS_FOOTER = """\
END:VCALENDAR
"""

# iCal event with recurring information
ICS_EVENT_START = """\
BEGIN:VEVENT
DTSTAMP:%(dtstamp)s
CREATED:%(created)s
UID:RorkEvent-%(uid)s
SEQUENCE:0
LAST-MODIFIED:%(modified)s
SUMMARY:%(summary)s
DTSTART:%(startdate)s
DTEND:%(enddate)s
"""

ICS_EVENT_END = """\
CLASS:PUBLIC
PRIORITY:3
TRANSP:OPAQUE
END:VEVENT
"""

# vCal header and footer
VCS_HEADER = """\
BEGIN:VCALENDAR
PRODID:%(prodid)s
VERSION:1.0
"""

VCS_FOOTER = """\
END:VCALENDAR
"""

# vCal event with recuring information
VCS_EVENT_START = """\
BEGIN:VEVENT
DTSTART:%(startdate)s
DTEND:%(enddate)s
DCREATED:%(created)s
UID:RorkEvent-%(uid)s
SEQUENCE:0
LAST-MODIFIED:%(modified)s
SUMMARY:%(summary)s
"""

VCS_EVENT_END = """\
PRIORITY:3
TRANSP:0
END:VEVENT
"""

PRODID = "-//RORK Content Types//Recurring Event//EN"

# this is default e-mail used when we can't aquire e-mails from environment
ADMIN_EMAIL = "admin@CHANGE_ME_in_config_py.com"